GNU bug report logs - #29554
25.3; 100% CPU spinning, while parsing compile output.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Sam Varshavchik <mrsam@HIDDEN>; merged with #3700, #9065, #13369; dated Mon, 4 Dec 2017 00:40:03 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 3700 9065 13369 29554. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 29554 <at> debbugs.gnu.org:


Received: (at 29554) by debbugs.gnu.org; 5 Dec 2017 00:29:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 04 19:29:52 2017
Received: from localhost ([127.0.0.1]:46120 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eM17Q-0005Lg-7N
	for submit <at> debbugs.gnu.org; Mon, 04 Dec 2017 19:29:52 -0500
Received: from mail-it0-f43.google.com ([209.85.214.43]:39415)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>)
 id 1eM17O-0005LM-Dw; Mon, 04 Dec 2017 19:29:50 -0500
Received: by mail-it0-f43.google.com with SMTP id 68so11175876ite.4;
 Mon, 04 Dec 2017 16:29:50 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=skrMRFxw15jvNqbfNuXnRrC0/mQBStBWfGF5M7fus1U=;
 b=WP+NlXq/ZW2JuaF0PdgKPxz8McL2blFgU6IHkZTfUl87pau7mIB79m/8DktPlgMldr
 +tXZ/QRYZyhgSciZWcaJmfurQucwR5jADtoEcZGDd5IYe+fZSSwaHDJgcOXWDttnPqzk
 5A53TqDH4XW4qtKoiVgYMOl9dWJ+qiC2t5zWNnCwLXd/HxK3uxdpcGbVmy8b09ln1Vgl
 itsRSib/DT7dXhXYKe2SeuKlamvs8WAWdqAU0HDXT8Mayyg7Shcx+GN1iWFr9s4u2HBD
 FoGD8d0ZS9pLCKP19veW1X601pIgGyg9i0/0+dPVeO/CED7LTnC4cl73yRkD8IC7qU9h
 xbPA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:from:to:cc:subject:references:date
 :in-reply-to:message-id:user-agent:mime-version;
 bh=skrMRFxw15jvNqbfNuXnRrC0/mQBStBWfGF5M7fus1U=;
 b=t05/N8Bs5oHmgT8tfZodrBcRscc5MuqNh4ikxMvVUlvakqtM8y/ur/5vpUenXiXoZq
 pQqvOtWT1JODJuVp0EnSfFxQJTeLmsNURkBLTG+h415DJTfJ74Q2TwK9T8pFQSVS2Pj+
 69tVj4NUhXXAVThq9W+ncaaMZKKOoZRC7NREJfu0NilQhP7K231OPBlZ94pwSCbD3vI2
 izYkTcv0RkQH8AaCTH9iaGA2uzQy583i9prhpjzVVwijI2sMWqIj3ohVx3uTK2kKV8yy
 MS9w8CStSlP6wjkFBm6+i/vHY/2TNdCXSrDxtjvjTTA+B39GcvS8/BEh27a6/+6+7Qnm
 ssfA==
X-Gm-Message-State: AKGB3mJ+Omf9jaKZRkHFjDp1LQJFs74cfkZgdmrEVjww7KcFsHl1Mlds
 Bh3OgaetTCz5OataNeaREg0sUQ==
X-Google-Smtp-Source: AGs4zMbNJmJF3eg4QRxqmDztVxWeGRO5Qlf/TJKhfVCtCOVwJHJAcEUdgfO9BmOV1fc0b7n0te+GmQ==
X-Received: by 10.36.70.195 with SMTP id j186mr2090287itb.32.1512433783968;
 Mon, 04 Dec 2017 16:29:43 -0800 (PST)
Received: from zebian ([45.2.119.34])
 by smtp.googlemail.com with ESMTPSA id l200sm4489709itl.36.2017.12.04.16.29.42
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Mon, 04 Dec 2017 16:29:43 -0800 (PST)
From: Noam Postavsky <npostavs@HIDDEN>
To: Sam Varshavchik <mrsam@HIDDEN>
Subject: Re: bug#29554: 25.3; 100% CPU spinning, while parsing compile output.
References: <cone.1512323749.166101.27935.1004@HIDDEN>
Date: Mon, 04 Dec 2017 19:29:42 -0500
In-Reply-To: <cone.1512323749.166101.27935.1004@HIDDEN> (Sam
 Varshavchik's message of "Sun, 03 Dec 2017 12:55:49 -0500")
Message-ID: <87k1y2ggp5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.90 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 29554
Cc: 29554 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.2 (/)

merge 29554 13369
quit

Sam Varshavchik <mrsam@HIDDEN> writes:

> Attached is simple makefile with a bunch of echo statements that
> reproduce the output of an actual compilation. I had to gzip and
> attach it, in order to avoid the large lines getting messed up by
> E-mail formatting.
>
> Saving this makefile, and hitting F5, or executing "compile" makes
> emacs spin with 100% CPU utilization for about five seconds, before it
> starts responding again. Then, going to the compilation output buffer,
> and M-> to go the end of the buffer, that also pegs emacs for another
> 4-5 seconds, at 100% cpu.
>
> Yup, these are very long lines. But that's the end result from
> automake and libtool. This is the real world, when it comes to C++
> development these days...

This is Bug#13369/9065/3700.  You can get some relief by pruning
compilation-error-regexp-alist.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#29554; Package emacs. Full text available.

Message received at 29554 <at> debbugs.gnu.org:


Received: (at 29554) by debbugs.gnu.org; 4 Dec 2017 20:40:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 04 15:40:02 2017
Received: from localhost ([127.0.0.1]:45977 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eLxWz-0006OS-T7
	for submit <at> debbugs.gnu.org; Mon, 04 Dec 2017 15:40:02 -0500
Received: from h-68-166-206-83.lsan.ca.globalcapacity.com
 ([68.166.206.83]:47659) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mrsam@HIDDEN>) id 1eLwZx-0004wK-76
 for 29554 <at> debbugs.gnu.org; Mon, 04 Dec 2017 14:39:01 -0500
Received: from monster.email-scan.com (monster.email-scan.com
 [::ffff:192.168.0.2]) (TLS: TLSv1.0,256bits,ECDHE-RSA-AES256-SHA)
 by www.courier-mta.com with ESMTPS; Mon, 04 Dec 2017 14:38:58 -0500
 id 00000000002A007A.000000005A25A452.00000DA9
Received: from monster.email-scan.com (localhost [127.0.0.1]) (IDENT: uid 1004)
 by monster.email-scan.com with ESMTP; Mon, 04 Dec 2017 14:38:57 -0500
 id 0000000000042139.000000005A25A451.000057E0
References: <cone.1512323749.166101.27935.1004@HIDDEN>
 <83po7uxy91.fsf@HIDDEN>
Message-ID: <cone.1512416337.439370.22442.1004@HIDDEN>
X-Mailer: http://www.courier-mta.org/cone/
From: Sam Varshavchik <mrsam@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#29554: 25.3; 100% CPU spinning, while parsing compile output.
Date: Mon, 04 Dec 2017 14:38:57 -0500
Mime-Version: 1.0
Content-Type: text/plain; format=flowed; delsp=yes; charset="UTF-8"
Content-Disposition: inline
Content-Transfer-Encoding: 7bit
X-Spam-Score: 3.6 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Eli Zaretskii writes: > > From: Sam Varshavchik
 <mrsam@HIDDEN>
 > > Date: Sun, 03 Dec 2017 12:55:49 -0500 > > > > Attached is simple makefile
 with a bunch of echo statements that reproduce > > the output of an actual
 compilation. I had to gzip and attach it, in order > > to avoid the large
 lines getting messed up by E-mail formatting. > > > > Saving this makefile,
 and hitting F5, or executing "compile" makes emacs > > spin with 100% CPU
 utilization for about five seconds, before it starts > > responding again.
 Then, going to the compilation output buffer, and M-> to > > go the end of
 the buffer, that also pegs emacs for another 4-5 seconds, at > > 100% cpu.
 > > > > Yup, these are very long lines. But that's the end result from automake
 and > > libtool. This is the real world, when it comes to C++ development
 these > > days... > > Maybe my machine is much faster than yours (although
 it's a 6-year old > box), but I don't see such long delays, the responses
 are sub-second > here (something like 0.2 sec or so). Did you visit the file
 in > Makefile mode or in some other mode? [...] 
 Content analysis details:   (3.6 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED ADMINISTRATOR NOTICE: The query to URIBL was blocked.
 See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: courier-mta.com]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP addr
 1)
X-Debbugs-Envelope-To: 29554
X-Mailman-Approved-At: Mon, 04 Dec 2017 15:40:01 -0500
Cc: 29554 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 3.6 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Eli Zaretskii writes: > > From: Sam Varshavchik <mrsam@HIDDEN>
    > > Date: Sun, 03 Dec 2017 12:55:49 -0500 > > > > Attached is simple makefile
    with a bunch of echo statements that reproduce > > the output of an actual
    compilation. I had to gzip and attach it, in order > > to avoid the large
    lines getting messed up by E-mail formatting. > > > > Saving this makefile,
    and hitting F5, or executing "compile" makes emacs > > spin with 100% CPU
    utilization for about five seconds, before it starts > > responding again.
    Then, going to the compilation output buffer, and M-> to > > go the end of
    the buffer, that also pegs emacs for another 4-5 seconds, at > > 100% cpu.
    > > > > Yup, these are very long lines. But that's the end result from automake
    and > > libtool. This is the real world, when it comes to C++ development
    these > > days... > > Maybe my machine is much faster than yours (although
    it's a 6-year old > box), but I don't see such long delays, the responses
    are sub-second > here (something like 0.2 sec or so). Did you visit the file
    in > Makefile mode or in some other mode? [...] 
 
 Content analysis details:   (3.6 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was blocked.
                             See
                             http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
                              for more information.
                             [URIs: courier-mta.com]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP addr
                             1)

Eli Zaretskii writes:

> > From: Sam Varshavchik <mrsam@HIDDEN>
> > Date: Sun, 03 Dec 2017 12:55:49 -0500
> >
> > Attached is simple makefile with a bunch of echo statements that reproduce
> > the output of an actual compilation. I had to gzip and attach it, in order
> > to avoid the large lines getting messed up by E-mail formatting.
> >
> > Saving this makefile, and hitting F5, or executing "compile" makes emacs
> > spin with 100% CPU utilization for about five seconds, before it starts
> > responding again. Then, going to the compilation output buffer, and M-> to
> > go the end of the buffer, that also pegs emacs for another 4-5 seconds, at
> > 100% cpu.
> >
> > Yup, these are very long lines. But that's the end result from automake and
> > libtool. This is the real world, when it comes to C++ development these
> > days...
>
> Maybe my machine is much faster than yours (although it's a 6-year old
> box), but I don't see such long delays, the responses are sub-second
> here (something like 0.2 sec or so).  Did you visit the file in
> Makefile mode or in some other mode?

It's compile output mode. Save the Makefile. The default F5 binding runs  
the "compile" command, which executes make.

make then processes this makefile, generates the output, and emacs tries to  
parse the output, as output from "make". That's where it spins for me.






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#29554; Package emacs. Full text available.

Message received at 29554 <at> debbugs.gnu.org:


Received: (at 29554) by debbugs.gnu.org; 4 Dec 2017 16:19:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 04 11:19:01 2017
Received: from localhost ([127.0.0.1]:45694 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eLtSO-0004iY-Ma
	for submit <at> debbugs.gnu.org; Mon, 04 Dec 2017 11:19:00 -0500
Received: from eggs.gnu.org ([208.118.235.92]:55862)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1eLtSN-0004iL-1z
 for 29554 <at> debbugs.gnu.org; Mon, 04 Dec 2017 11:18:59 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1eLtSB-0001l3-Sp
 for 29554 <at> debbugs.gnu.org; Mon, 04 Dec 2017 11:18:53 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,T_RP_MATCHES_RCVD,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:57242)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1eLtSB-0001kx-P5; Mon, 04 Dec 2017 11:18:47 -0500
Received: from [176.228.60.248] (port=4297 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1eLtSA-0006qq-Rn; Mon, 04 Dec 2017 11:18:47 -0500
Date: Mon, 04 Dec 2017 18:18:34 +0200
Message-Id: <83po7uxy91.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Sam Varshavchik <mrsam@HIDDEN>
In-reply-to: <cone.1512323749.166101.27935.1004@HIDDEN>
 (message from Sam Varshavchik on Sun, 03 Dec 2017 12:55:49 -0500)
Subject: Re: bug#29554: 25.3; 100% CPU spinning, while parsing compile output.
References: <cone.1512323749.166101.27935.1004@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 29554
Cc: 29554 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Sam Varshavchik <mrsam@HIDDEN>
> Date: Sun, 03 Dec 2017 12:55:49 -0500
> 
> Attached is simple makefile with a bunch of echo statements that reproduce  
> the output of an actual compilation. I had to gzip and attach it, in order  
> to avoid the large lines getting messed up by E-mail formatting.
> 
> Saving this makefile, and hitting F5, or executing "compile" makes emacs  
> spin with 100% CPU utilization for about five seconds, before it starts  
> responding again. Then, going to the compilation output buffer, and M-> to  
> go the end of the buffer, that also pegs emacs for another 4-5 seconds, at  
> 100% cpu.
> 
> Yup, these are very long lines. But that's the end result from automake and  
> libtool. This is the real world, when it comes to C++ development these  
> days...

Maybe my machine is much faster than yours (although it's a 6-year old
box), but I don't see such long delays, the responses are sub-second
here (something like 0.2 sec or so).  Did you visit the file in
Makefile mode or in some other mode?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#29554; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 4 Dec 2017 00:39:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 03 19:39:58 2017
Received: from localhost ([127.0.0.1]:44007 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eLene-0008BK-7Z
	for submit <at> debbugs.gnu.org; Sun, 03 Dec 2017 19:39:58 -0500
Received: from eggs.gnu.org ([208.118.235.92]:46669)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mrsam@HIDDEN>) id 1eLZ7Y-00054u-Q1
 for submit <at> debbugs.gnu.org; Sun, 03 Dec 2017 13:36:09 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mrsam@HIDDEN>) id 1eLZ7S-0004iI-9j
 for submit <at> debbugs.gnu.org; Sun, 03 Dec 2017 13:36:03 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,URIBL_BLOCKED
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:34477)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <mrsam@HIDDEN>)
 id 1eLZ7S-0004i9-5A
 for submit <at> debbugs.gnu.org; Sun, 03 Dec 2017 13:36:02 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:37634)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mrsam@HIDDEN>) id 1eLZ7Q-00008n-IK
 for bug-gnu-emacs@HIDDEN; Sun, 03 Dec 2017 13:36:01 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mrsam@HIDDEN>) id 1eLZ7N-0004ZZ-Cv
 for bug-gnu-emacs@HIDDEN; Sun, 03 Dec 2017 13:36:00 -0500
Received: from h-68-166-206-83.lsan.ca.globalcapacity.com
 ([68.166.206.83]:45099)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <mrsam@HIDDEN>)
 id 1eLZ7N-0004Ub-33
 for bug-gnu-emacs@HIDDEN; Sun, 03 Dec 2017 13:35:57 -0500
Received: from monster.email-scan.com (monster.email-scan.com
 [::ffff:192.168.0.2]) (TLS: TLSv1.0,256bits,ECDHE-RSA-AES256-SHA)
 by www.courier-mta.com with ESMTPS; Sun, 03 Dec 2017 12:55:50 -0500
 id 00000000002A0076.000000005A243AA6.00004B96
Received: from monster.email-scan.com (localhost [127.0.0.1]) (IDENT: uid 1004)
 by monster.email-scan.com with ESMTP; Sun, 03 Dec 2017 12:55:49 -0500
 id 0000000000042139.000000005A243AA5.000070A0
Message-ID: <cone.1512323749.166101.27935.1004@HIDDEN>
X-Mailer: http://www.courier-mta.org/cone/
From: Sam Varshavchik <mrsam@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 25.3; 100% CPU spinning, while parsing compile output.
Date: Sun, 03 Dec 2017 12:55:49 -0500
Mime-Version: 1.0
Content-Type: multipart/mixed;
 boundary="=_shorty.email-scan.com-19350-1512323750-0001-2"
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.1 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sun, 03 Dec 2017 19:39:52 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.1 (----)

This is a MIME-formatted message.  If you see this text it means that your
E-mail software does not support MIME-formatted messages.

--=_shorty.email-scan.com-19350-1512323750-0001-2
Content-Type: text/plain; format=flowed; delsp=yes; charset=utf-8
Content-Transfer-Encoding: 7bit
Content-Disposition: inline

Attached is simple makefile with a bunch of echo statements that reproduce  
the output of an actual compilation. I had to gzip and attach it, in order  
to avoid the large lines getting messed up by E-mail formatting.

Saving this makefile, and hitting F5, or executing "compile" makes emacs  
spin with 100% CPU utilization for about five seconds, before it starts  
responding again. Then, going to the compilation output buffer, and M-> to  
go the end of the buffer, that also pegs emacs for another 4-5 seconds, at  
100% cpu.

Yup, these are very long lines. But that's the end result from automake and  
libtool. This is the real world, when it comes to C++ development these  
days...




In GNU Emacs 25.3.1 (x86_64-redhat-linux-gnu, GTK+ Version 3.22.19)
 of 2017-09-14 built on buildvm-31.phx2.fedoraproject.org
Windowing system distributor 'Fedora Project', version 11.0.11905000
Configured using:
 'configure --build=x86_64-redhat-linux-gnu
 --host=x86_64-redhat-linux-gnu --program-prefix=
 --disable-dependency-tracking --prefix=/usr --exec-prefix=/usr
 --bindir=/usr/bin --sbindir=/usr/sbin --sysconfdir=/etc
 --datadir=/usr/share --includedir=/usr/include --libdir=/usr/lib64
 --libexecdir=/usr/libexec --localstatedir=/var
 --sharedstatedir=/var/lib --mandir=/usr/share/man
 --infodir=/usr/share/info --with-dbus --with-gif --with-jpeg --with-png
 --with-rsvg --with-tiff --with-xft --with-xpm --with-x-toolkit=gtk3
 --with-gpm=no --with-xwidgets --with-modules
 build_alias=x86_64-redhat-linux-gnu host_alias=x86_64-redhat-linux-gnu
 'CFLAGS=-DMAIL_USE_LOCKF -O2 -g -pipe -Wall -Werror=format-security
 -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong
 --param=ssp-buffer-size=4 -grecord-gcc-switches
 -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -mtune=generic'
 LDFLAGS=-Wl,-z,relro
 PKG_CONFIG_PATH=:/usr/lib64/pkgconfig:/usr/share/pkgconfig'

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND DBUS GCONF GSETTINGS NOTIFY
ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 MODULES XWIDGETS

Important settings:
  value of $LANG: en_US.utf8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix

Major mode: Compilation

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t

Recent messages:
Loading /usr/share/emacs/site-lisp/site-start.d/anthy-init.el (source)...done
Loading /usr/share/emacs/site-lisp/site-start.d/autoconf-init.el (source)...done
Loading /usr/share/emacs/site-lisp/site-start.d/desktop-entry-mode-init.el (source)...done
Loading /usr/share/emacs/site-lisp/site-start.d/git-init.el (source)...done
Loading /usr/share/emacs/site-lisp/site-start.d/mercurial-site-start.el (source)...done
Loading /usr/share/emacs/site-lisp/site-start.d/rpm-spec-mode-init.el (source)...done
For information about GNU Emacs and the GNU system, type C-h C-a.
Compilation finished
Mark set
next-line: End of buffer

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message idna dired format-spec rfc822
mml mml-sec password-cache epg epg-config gnus-util mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail
rfc2047 rfc2045 ietf-drums mm-util help-fns help-mode easymenu
cl-loaddefs pcase cl-lib mail-prsvr mail-utils compile comint ansi-color
ring time-date mule-util tooltip eldoc electric uniquify ediff-hook
vc-hooks lisp-float-type mwheel x-win term/common-win x-dnd tool-bar dnd
fontset image regexp-opt fringe tabulated-list newcomment elisp-mode
lisp-mode prog-mode register page menu-bar rfn-eshadow timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core frame
cl-generic cham georgian utf-8-lang misc-lang vietnamese tibetan thai
tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek romanian
slovak czech european ethiopic indian cyrillic chinese charscript
case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote dbusbind inotify
dynamic-setting system-font-setting font-render-setting xwidget-internal
move-toolbar gtk x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 93448 8431)
 (symbols 48 20589 0)
 (miscs 40 53 146)
 (strings 32 16324 4384)
 (string-bytes 1 479802)
 (vectors 16 12525)
 (vector-slots 8 441765 5250)
 (floats 8 175 46)
 (intervals 56 298 0)
 (buffers 976 19))


--=_shorty.email-scan.com-19350-1512323750-0001-2
Content-Type: application/gzip; charset=utf-8
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
  FILENAME="Makefile.gz"
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--=_shorty.email-scan.com-19350-1512323750-0001-2--




Acknowledgement sent to Sam Varshavchik <mrsam@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#29554; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 5 Dec 2017 00:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.